/*
 * Class EV_CLIPBOARD
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_971 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_971 [] = {0xFF01,1551,970,0xFFFF};
static const EIF_TYPE_INDEX egt_2_971 [] = {0xFF01,970,0xFFFF};
static const EIF_TYPE_INDEX egt_3_971 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_971 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_971 [] = {0xFF01,970,0xFFFF};
static const EIF_TYPE_INDEX egt_6_971 [] = {0xFF01,970,0xFFFF};
static const EIF_TYPE_INDEX egt_7_971 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_971 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_971 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_971 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_971 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_971 [] = {0xFF01,970,0xFFFF};
static const EIF_TYPE_INDEX egt_13_971 [] = {0xFF01,1137,0xFFFF};
static const EIF_TYPE_INDEX egt_14_971 [] = {0xFF01,1141,0xFFFF};
static const EIF_TYPE_INDEX egt_15_971 [] = {0xFF01,924,0xFFFF};


static const struct desc_info desc_971[] = {
	{EIF_GENERIC(NULL), 24444, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_971), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_971), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_971), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24205, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_971), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_971), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_971), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_971), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_971), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_971), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_971), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_971), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_971), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24213, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0795 /*970*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_971), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 24214, 0},
	{EIF_GENERIC(NULL), 24215, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24200, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24201, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_971), 24449, 4},
	{EIF_GENERIC(NULL), 24203, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24451, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24450, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24204, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24206, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_971), 24207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 24208, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24209, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24210, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24211, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24445, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_971), 24446, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24447, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24448, 0xFFFFFFFF},
};
void Init971(void)
{
	IDSC(desc_971, 0, 970);
	IDSC(desc_971 + 1, 1, 970);
	IDSC(desc_971 + 32, 1593, 970);
	IDSC(desc_971 + 47, 184, 970);
}


#ifdef __cplusplus
}
#endif
